package cz.moneta.test.dsl.ufo.banka.pages.products.current.account;

import cz.moneta.test.dsl.ufo.banka.pages.common.pages.PRP002_OBR001_PrintSpecialConditionsPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.TIS004_S002_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.TIS027_OBR001_PreContractualInformationPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.TIS050_S001_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.TIS050_S002_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.PSP004_S001_PrintPage;
import cz.moneta.test.dsl.ufo.banka.pages.requests.DUP009_S001_CreateElectronicDistributionChannel;
import cz.moneta.test.harness.support.web.WebFlow;

public interface BUF001_S001_CurrentAccountPageTransitions extends WebFlow<BUF001_S001_CurrentAccountPageTransitions> {

    PSP004_S001_PrintPage onPrintPage();

    TIS004_S002_SignerSelectionPage onCitizenSignatureInformation();

    TIS050_S002_SignerSelectionPage OnSignerSelectionPage();

    TIS027_OBR001_PreContractualInformationPage onPreContractInformationPage();

    PRP002_OBR001_PrintSpecialConditionsPage onPrintSpecialConditionsPage();

    DUP009_S001_CreateElectronicDistributionChannel onElectronicDistributionChannelCreationPage();

    TIS050_S001_SignerSelectionPage onSignerPage();

}